Bug 125459 - Xv 'canvas' doesnt refresh after being partially hidden
Xv 'canvas' doesnt refresh after being partially hidden
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-07 13:34 EDT by Dams
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 10:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (2.86 KB, text/plain)
2004-06-07 13:35 EDT, Dams
no flags Details
Xorg.0.log (80.75 KB, text/plain)
2004-06-07 13:36 EDT, Dams
no flags Details
tvtime-strace.log.bz2 (11.88 KB, application/octet-stream)
2004-07-01 15:45 EDT, Dams
no flags Details

  None (edit)
Description Dams 2004-06-07 13:34:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.15

Description of problem:
Sometimes when I unhide my tvtime window which was partially hidden
under another window, the unhidden part of the tvtime window stays
black (isnt refreshed). 

I can move a small window all over the tvtime so that tvtime is
completely black/unrefreshed.

This doesnt happen when the window is fully refreshed, like when I
switch workspace or when a window that was *fully* hiding the tvtime
window is minimized..

I really think this is an xorg-x11 problem. This wasnt happening on
FC1 with the quite same tvtime package (rebuilt from rawhide). And
I've never encounter this problem so far with any other Xv application
with old XFree86 releases.

My video card:

01:05.0 VGA compatible controller: ATI Technologies Inc Radeon R100 QD
[Radeon 7200] (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Radeon 7000/Radeon
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 64,
IRQ 169
        Memory at f4000000 (32-bit, prefetchable) [size=f3fe0000]
        I/O ports at d800 [size=256]
        Memory at f1800000 (32-bit, non-prefetchable) [size=512K]
        Expansion ROM at 00020000 [disabled]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

I'll attach configuration file and log.

Version-Release number of selected component (if applicable):
xorg-x11(0:6.7.0-2).i386

How reproducible: sometimes... I cant find a fully reproducible scheme..
Comment 1 Dams 2004-06-07 13:35:04 EDT
Created attachment 100931 [details]
xorg.conf
Comment 2 Dams 2004-06-07 13:36:06 EDT
Created attachment 100932 [details]
Xorg.0.log
Comment 3 Dams 2004-06-07 13:43:20 EDT
This doesnt happen immediatly after a fresh reboot. This probably
happen after i wake up the screen from xscreensaver (i'm not sure..)
Comment 4 Dams 2004-07-01 15:45:04 EDT
Created attachment 101569 [details]
tvtime-strace.log.bz2

Sometimes, randomly mplayer/xine/tvtime doesnt start at all. when requiring
non-small Xv windows. Here is an strace output of the /usr/bin/tvtime command
(i hope it'll help a bit)
Comment 5 Mike A. Harris 2004-08-30 17:25:21 EDT
Please file in freedesktop.org bugzilla and include the URL here
and we'll track the issue in the upstream bugzilla.

http://bugs.freedesktop.org "xorg" component.

Thanks in advance.
Comment 6 Mike A. Harris 2005-04-11 10:07:13 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.